Skip to content

Text Generation with Thinking (Streaming)​

POST
/v1beta/models/gemini-2.5-pro:streamGenerateContent
  • Stream text generation and return the model thinking process (thinkingConfig.includeThoughts)
  • Uses the gemini-2.5-pro streamGenerateContent endpoint
  • Supports systemInstruction, safetySettings, and tools
  • Official docs: Text generation

Authorizations​

bearer
Type
HTTP (bearer)

Request Body​

application/json
object
object
object[]
Required
object
object[]

Responses​

Success

application/json

Playground​

Authorization
Body

Samples​